%define svnrel r10852
Name: fltk
Version: 1.3.4
Release: %mkrel 0.1
Group: System/Libraries
Summary: Fast Light Tool Kit (FLTK)
License: LGPLv2+
Source: http://fltk.org/pub/fltk/snapshots/fltk-1.3.x-%{svnrel}.tar.xz
Patch0: fltk-1.3.4-libdir-prefix.patch
URL: http://www.fltk.org
BuildRequires: libx11-devel
BuildRequires: libxext-devel
BuildRequires: libmesagl-devel 
BuildRequires: libxinerama-devel
BuildRequires: libxft-devel
BuildRequires: libxcursor-devel
BuildRequires: libxfixes-devel
BuildRequires: xprop
BuildRequires: jpeg-devel
BuildRequires: png-devel
BuildRequires: zlib-devel
BuildRequires: man
BuildRequires: cmake

%description
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

#---------------------------------------------------------------------------

%define lib_major 0
%define libname %mklibname %{name} %lib_major

%package -n %{libname}
Summary: Fast Light Tool Kit (FLTK) - main library
Group: System/Libraries
Obsoletes: %{name} < %{version}-%{release}
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

%files -n %{libname}
%{_libdir}/libfltk.so.*
%{_libdir}/libfltk_forms.so.*
%{_libdir}/libfltk_gl.so.*
%{_libdir}/libfltk_images.so.*
#---------------------------------------------------------------------------

%define develname %mklibname %name -d

%package -n %{develname}
Summary: Fast Light Tool Kit (FLTK) - development environment
Group: Development/Libraries
Requires: %{libname} = %{version}
Obsoletes: %{name}-devel < %{version}-%{release}
Obsoletes: %{_lib}%{name}1.1-devel
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

Install libfltk1-devel if you need to develop FLTK applications. You'll
need to install the libfltk1.1 package if you plan to run dynamically 
linked applications.

%files -n %{develname}
%doc README CHANGES
%doc README.CMake.txt README.Unix.txt
%{_includedir}/FL
%{_bindir}/fltk-config
%{multiarch_bindir}/fltk-config
%{_bindir}/fluid
%{_iconsdir}/hicolor/*/apps/fluid.png
%{_datadir}/mime/packages/fluid.xml
%{_datadir}/applications/fluid.desktop
%{_mandir}/man?/*
%{_libdir}/libfltk*.so
%{_libdir}/libfltk*.a
%{_datadir}/fltk/*.cmake
%{_datadir}/fltk/CMakeCache.txt

#---------------------------------------------------------------------------

%prep
%setup -qn fltk-1.3.x-%{svnrel}
%apply_patches

%build
%define Werror_cflags %{nil}
export LDFLAGS="-lXi -lXfixes -lXcursor" 
%cmake \
    -DOPTION_BUILD_SHARED_LIBS=ON \
    -DFLTK_USE_SYSTEM_ZLIB=ON \
    -DFLTK_USE_SYSTEM_JPEG=ON \
    -DFLTK_USE_SYSTEM_PNG=ON \
    -DOPTION_BUILD_EXAMPLES=OFF
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

install build/CMakeCache.txt %{buildroot}/%{_datadir}/fltk/

%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/fltk-config


%changelog
* Thu Oct 13 2016 adrianomorselli <adrianomorselli> 1.3.4-0.1uplos2016
- rebuild
 
* Thu Apr 07 2016 bb <bb> 1.3.4-0.1pclos2016
- update from svn for tigervnc

